QueryData (Lucene 2.4.1 API)
Keywords: org.apache.lucene.benchmark.stats.QueryData class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.stats
Class QueryData

    java.lang.Object
      org.apache.lucene.benchmark.stats.QueryData

    public class QueryData

extends Object

This class holds parameters for a query benchmark.

Field Summary
`String` | `id` Benchmark id
`Query` | `q` Lucene query
`boolean` | `reopen` If true, re-open index reader before benchmark.
`boolean` | `retrieve` If true, actually retrieve documents returned in Hits.
`boolean` | `warmup` If true, warm-up the index reader before searching by sequentially retrieving all documents from index.

Constructor Summary
`QueryData()`

Method Summary
`static QueryData[]` | `getAll(Query[] queries)` Prepare a list of benchmark data, using all possible combinations of benchmark parameters.
`static String` | `getLabels()` Short legend for interpreting toString() output.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public String id

  Benchmark id

### q

    public Query q

  Lucene query

### reopen

    public boolean reopen

  If true, re-open index reader before benchmark.

### warmup

    public boolean warmup

  If true, warm-up the index reader before searching by sequentially retrieving all documents from index.

### retrieve

    public boolean retrieve

  If true, actually retrieve documents returned in Hits.

Constructor Detail

### QueryData

    public QueryData()

Method Detail

### getAll

    public static QueryData[] getAll(Query[] queries)

  Prepare a list of benchmark data, using all possible combinations of benchmark parameters.

  Parameters:
    `queries` - source Lucene queries
  Returns:
    The QueryData

### getLabels

    public static String getLabels()

  Short legend for interpreting toString() output.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.